gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget A base class for ruler widgets.

The Ruler widget is a base class for horizontal and vertical rulers. Rulers are used to show the mouse pointer's location in a window. Within the ruler a small triangle indicates the location of the mouse relative to the horizontal or vertical ruler. Concrete classes are and for horizontal and vertical rulers, respectively.

With this class, you can adjust the unit type and the range of values that a ruler displays.

Note:- This widget is considered too specialized for GTK+, and will likely be moved to some other package in the future.

- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void Draws the mouse position mark on the ruler.
- Method
  2.12.0.0
  System.Void Draws tickmarks on the ruler.
- Method
  2.12.0.0
  System.Void `` `` `` `` A for the lower value to display on the Ruler. A for the upper value to display on the Ruler. A for the current position of the mouse aligned with this Ruler. A , the maximum size of the ruler. Gets the range information.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("lower")
  System.Double The lower limit of the ruler. A
- Property
  2.12.0.0
  GLib.Property("max-size")
  System.Double The maximum size of the ruler. A
- Property
  2.12.0.0
  GLib.Property("metric")
  Gtk.MetricType Manage the measurement unit that is displayed. The current units in use.

  If this property is not explicitly set, the default for a ruler is .

- Property
  2.12.0.0
  GLib.Property("position")
  System.Double The position of the mouse mark on the ruler. A
- Method
  2.12.0.0
  System.Void `` `` `` `` The lower value to display on the Ruler. The upper value to display on the Ruler. The current position of the mouse aligned with this Ruler. A , the maximum size of the ruler. Sets the range information.
- Property
  2.12.0.0
  GLib.Property("upper")
  System.Double The upper value to display on the ruler. A